PluginDiscoverer (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.util.PluginDiscoverer class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.util
Class PluginDiscoverer

    java.lang.Object
      org.hyperic.hq.product.util.PluginDiscoverer

All Implemented Interfaces:
  ScanListener

    public class PluginDiscoverer

extends java.lang.Object
implements ScanListener

Constructor Summary
`PluginDiscoverer(PluginDumper pd)`

Method Summary
`void` | `add(java.lang.String name)`
`void` | `scanComplete(ScanState state)` The scanner calls this method when the scan has completed.
`void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginDiscoverer

    public PluginDiscoverer(PluginDumper pd)

Method Detail

### scanComplete

    public void scanComplete(ScanState state)
                      throws AutoinventoryException,
                             SystemException

  Description copied from interface: `ScanListener`
  The scanner calls this method when the scan has completed. This method is called whenever the scan completes, for ANY reason (including partial errors and fatal errors). It is the responsbility of the class that implements this interface to investigate the Scanner's ScanState object to determine how the scan completed and take the appropriate course of action.

  Specified by:
    `scanComplete` in interface `ScanListener`
  Parameters:
    `state` - The final state of the scan. This object is provided for convenience, as the class implementing this interface will likely already have a way to get to it.
  Throws:
    `AutoinventoryException`
    `SystemException`

### add

    public void add(java.lang.String name)

### start

    public void start()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.